[ubuntu/xenial-security] xorg-server-hwe-16.04 2:1.19.6-1ubuntu4.1~16.04.3 (Accepted)

Marc Deslauriers marc.deslauriers at canonical.com
Wed Sep 2 13:07:23 UTC 2020


xorg-server-hwe-16.04 (2:1.19.6-1ubuntu4.1~16.04.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Integer underflow in the X input extension protocol
    - debian/patches/CVE-2020-14346.patch: properly calculate length in
      Xi/xichangehierarchy.c.
    - CVE-2020-14346
  * SECURITY UPDATE: server memory leak
    - debian/patches/CVE-2020-14347.patch: initialize memory in
      dix/pixmap.c.
    - CVE-2020-14347
  * SECURITY UPDATE: Integer Underflow Privilege Escalation
    - debian/patches/CVE-2020-14361.patch: fix dataLeft calculation in
      xkb/xkbSwap.c.
    - CVE-2020-14361
  * SECURITY UPDATE: Integer Underflow Privilege Escalation
    - debian/patches/CVE-2020-14362.patch: properly calculate lengths in
      record/record.c.
    - CVE-2020-14362

Date: 2020-08-31 15:49:17.200982+00:00
Changed-By: Marc Deslauriers <marc.deslauriers at canonical.com>
https://launchpad.net/ubuntu/+source/xorg-server-hwe-16.04/2:1.19.6-1ubuntu4.1~16.04.3
-------------- next part --------------
Sorry, changesfile not available.


More information about the Xenial-changes mailing list